---
updatedAt: 2025-09-30T15:27:43.000Z
agentTools:
  projectIndex: https://docs.nexiopay.com/llms.txt
---

# Save card token

Allows you to securely save a card token [using your own form](doc:creating-a-save-card-page-with-your-own-form) or [using the API directly](doc:saving-a-card-token-with-the-api) (potentially without a web browser). You can use this endpoint to save a new card token or add pre-existing TokenEx tokens that you would like to start using through Nexio. 

You can use this saved card token to run a card transaction using the [Run card transaction with iframe](ref:runcardtransactioniframe) or [Run card transaction](ref:runcardtransaction) endpoint. 

Card tokens can be used to process transactions through any MID on your account. They are not restricted to a specific merchant account or currency.

For instructions on how to implement this endpoint, see [Creating a save card page with your own form](doc:creating-a-save-card-page-with-your-own-form) or [Saving a card token with the API](doc:saving-a-card-token-with-the-api). 

For a tutorial about running a transaction with the saved card token, see the [Creating a card checkout page with the iframe](doc:creating-a-card-checkout-page-with-the-iframe), [Creating a card checkout page with your own form](doc:creating-a-card-checkout-page-with-your-own-form), or [Running a card transaction with the API](doc:running-a-card-transaction-with-the-api) topic.

<!-- theme: info -->
> 📘 Note 
> 
> Processing options must be sent in the request for a [one-time-use token](ref:createonetimeusetoken). For more information, see [What data is saved with tokens?](doc:what-data-is-saved-with-tokens) in Guides.

<!-- theme: warning -->
> ⚠️ Try It
> 
> To use the Try It feature for this endpoint, include at least the following in the body of the request:
> - A [one-time-use token](ref:createonetimeusetoken) - this replaces the standard username/password and authentication header
> - `card.cardHolderName`
> - `card.expirationMonth`
> - `card.expirationYear`
> - Either `card.encryptedNumber` or `tokenex.token` (an existing TokenEx card token)
> For information about test card numbers and values you can use, see the documentation for the specific [gateway/connection integration guide](doc:connections) or, if you are testing Account Updater, see the [Test cards for account updater](doc:checking-a-cards-enrollment-tag#test-cards-for-account-updater) section of the "Checking a card's enrollment tag" topic.


<div style="display:none;">

## Request parameters
- card
- card.cardHolderName
- card.encryptedNumber
- card.expirationMonth
- card.expirationYear
- card.cardType
- card.securityCode
- card.firstSix
- card.lastFour
- token
- data
- data.customer
- data.customer.billToAddressOne
- data.customer.billToAddressTwo
- data.customer.billToCity
- data.customer.billToCountry
- data.customer.billToPhone
- data.customer.billToPostal
- data.customer.billToState
- data.customer.birthDate
- data.customer.createdAtDate
- data.customer.email
- data.customer.firstName
- data.customer.invoice
- data.customer.lastName
- data.customer.phone
- data.customer.shipToAddressOne
- data.customer.shipToAddressTwo
- data.customer.shipToCity
- data.customer.shipToCountry
- data.customer.shipToPhone
- data.customer.shipToPostal
- data.customer.shipToState
- shouldUpdateCard
- tokenex
- tokenex.token
- tokenex.firstSix
- tokenex.lastFour
- merchantId

## Response parameters
- card
- card.cardHolderName
- card.expirationMonth
- card.expirationYear
- card.cardType
- data
- data.customer
- data.customer.billToAddressOne
- data.customer.billToAddressTwo
- data.customer.billToCity
- data.customer.billToCountry
- data.customer.billToPhone
- data.customer.billToPostal
- data.customer.billToState
- data.customer.birthDate
- data.customer.email
- data.customer.firstName
- data.customer.lastName
- data.customer.phone
- data.customer.shipToAddressOne
- data.customer.shipToAddressTwo
- data.customer.shipToCity
- data.customer.shipToCountry
- data.customer.shipToPhone
- data.customer.shipToPostal
- data.customer.shipToState
- kountResponse
- kountResponse.status
- kountResponse.rules
- merchantId
- shouldUpdateCard
- token
- token.token
- token.firstSix
- token.lastFour
- token.cardType
- cvcResults
- cvcResults.matchCvv
- cvcResults.error
- cvcResults.gatewayMessage
- cvcResults.gatewayMessage.cvvresponse
- cvcResults.gatewayMessage.message
- avsResults
- avsResults.matchAddress
- avsResults.matchPostal
- avsResults.error
- avsResults.gatewayMessage
- avsResults.gatewayMessage.avsresponse
- avsResults.gatewayMessage.message
- cardType

</div>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Payments API Reference",
    "version": "3.0.0",
    "description": "Payments are how you interact with customers for all kinds of payment methods and types. \n\nUse the `pay` endpoints to generate one-time-use tokens and to accept web-based payments from cards and echecks (ACH) as well as retail payments from terminals or online forms. For more information about these workflows, see the [Getting started with ecommerce](https://docs.nexiopay.com/docs/getting-started-with-ecommerce) and [Getting started with retail](https://docs.nexiopay.com/docs/getting-started-with-retail) topics in Guides.\n\nAccess the `auth` endpoint to create a simple login that allows trusted users to proceed directly to the retail/MOTO iframe. For a tutorial, see [Using simple login for authentication](using-simple-login-for-authentication) in Guides.\n\nWork with payment billing for subscriptions and payment plans with the `subscriptions` endpoint. For additional information on using these endpoints, see the [Getting started with subscriptions](https://docs.nexiopay.com/docs/getting-started-with-subscriptions) and [Getting started with pay plans](https://docs.nexiopay.com/docs/getting-started-with-pay-plans) topics in Guides.\n\nThe `apm` endpoint allows you to generate one-time-use tokens and perform the various payment tasks for alternative payment methods. For workflows, integration guides, and tutorials, see the [Payment Methods](https://docs.nexiopay.com/docs/payment-methods) documentation.",
    "contact": {
      "name": "Integrations Support",
      "email": "integrations@nexiopay.com",
      "url": "https://nexiointegrations.slack.com/"
    },
    "license": {
      "name": "ISC",
      "url": "https://docs.nexiopay.com/page/license"
    }
  },
  "security": [
    {
      "Basic_Authentication": []
    },
    {
      "One-time-use_Token": []
    }
  ],
  "servers": [
    {
      "description": "Sandbox",
      "url": "https://api.nexiopaysandbox.com",
      "variables": {}
    }
  ],
  "components": {
    "securitySchemes": {
      "Basic_Authentication": {
        "type": "http",
        "scheme": "basic",
        "description": "Basic authentication is a simple authentication scheme built into the HTTP protocol. \n\nFor the \"Try It\" feature, type your API username and password in the appropriate fields. The system then automatically creates the Authorization header that contains the word `Basic` followed by a space and a base64-encoded string `username:password`. \n\nFor example: `Authorization: Basic ZGVtbzpwQDU1dzByZA==` \n\nFor your own requests, learn how to do the conversion in the [Authentication](https://docs.nexiopay.com/docs/authentication#basic-authentication) guide. \n\nFor more information about this security protocol, see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.3.md#basic-authentication-sample"
      },
      "One-time-use_Token": {
        "type": "apiKey",
        "name": "token",
        "in": "query",
        "description": "The one-time-use token authentication scheme requires a token supplied in the named query parameter that can only be used to submit a single API request and that expires after one hour. \n\nFor the \"Try It\" feature, first generate the one-time-use token through either the [Create one-time-use token](https://docs.nexiopay.com/reference/createonetimeusetoken) or the [Create APM one-time-use token](https://docs.nexiopay.com/reference/createapmonetimeusetoken) endpoint. Copy the resulting token and then paste it in the appropriate field for the current endpoint. \n\nFor your own requests, learn how to generate the one-time-use token in the [Authentication](https://docs.nexiopay.com/docs/authentication#one-time-use-tokens) guide. Then, use it as normal for this endpoint. \n\nFor more information about the \"apiKeys\" security protocol, see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.3.md#security-scheme-object"
      }
    },
    "responses": {
      "401": {
        "description": "Unauthorized.\n\nFor help with this error and other error codes, see [Common errors](https://docs.nexiopay.com/docs/common-errors) in the Guides area.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "error": {
                  "type": "integer",
                  "example": 440,
                  "description": "Indicates the Nexio error code, if applicable."
                },
                "message": {
                  "type": "string",
                  "description": "A message from Nexio about the state of the request.",
                  "example": "Unauthorized"
                }
              }
            }
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Ecommerce",
      "description": "APIs for ecommerce payments"
    },
    {
      "name": "Alternative Payment Methods",
      "description": "APIs for APM payments"
    }
  ],
  "paths": {
    "/pay/v3/saveCard": {
      "post": {
        "description": "Allows you to securely save a card token [using your own form](https://docs.nexiopay.com/docs/creating-a-save-card-page-with-your-own-form) or [using the API directly](https://docs.nexiopay.com/docs/saving-a-card-token-with-the-api) (potentially without a web browser). You can use this endpoint to save a new card token or add pre-existing TokenEx tokens that you would like to start using through Nexio. \n\nYou can use this saved card token to run a card transaction using the [Run card transaction with iframe](https://docs.nexiopay.com/reference/runcardtransactioniframe) or [Run card transaction](https://docs.nexiopay.com/reference/runcardtransaction) endpoint. \n\nCard tokens can be used to process transactions through any MID on your account. They are not restricted to a specific merchant account or currency.\n\nFor instructions on how to implement this endpoint, see [Creating a save card page with your own form](https://docs.nexiopay.com/docs/creating-a-save-card-page-with-your-own-form) or [Saving a card token with the API](https://docs.nexiopay.com/docs/saving-a-card-token-with-the-api). \n\nFor a tutorial about running a transaction with the saved card token, see the [Creating a card checkout page with the iframe](https://docs.nexiopay.com/docs/creating-a-card-checkout-page-with-the-iframe), [Creating a card checkout page with your own form](https://docs.nexiopay.com/docs/creating-a-card-checkout-page-with-your-own-form), or [Running a card transaction with the API](https://docs.nexiopay.com/docs/running-a-card-transaction-with-the-api) topic.\n\n<!-- theme: info -->\n> 📘 Note \n> \n> Processing options must be sent in the request for a [one-time-use token](https://docs.nexiopay.com/reference/createonetimeusetoken). For more information, see [What data is saved with tokens?](https://docs.nexiopay.com/docs/what-data-is-saved-with-tokens) in Guides.\n\n<!-- theme: warning -->\n> ⚠️ Try It\n> \n> To use the Try It feature for this endpoint, include at least the following in the body of the request:\n> - A [one-time-use token](https://docs.nexiopay.com/reference/createonetimeusetoken) - this replaces the standard username/password and authentication header\n> - `card.cardHolderName`\n> - `card.expirationMonth`\n> - `card.expirationYear`\n> - Either `card.encryptedNumber` or `tokenex.token` (an existing TokenEx card token)\n> For information about test card numbers and values you can use, see the documentation for the specific [gateway/connection integration guide](https://docs.nexiopay.com/docs/connections) or, if you are testing Account Updater, see the [Test cards for account updater](https://docs.nexiopay.com/docs/checking-a-cards-enrollment-tag#test-cards-for-account-updater) section of the \"Checking a card's enrollment tag\" topic.\n\n\n<div style=\"display:none;\">\n\n## Request parameters\n- card\n- card.cardHolderName\n- card.encryptedNumber\n- card.expirationMonth\n- card.expirationYear\n- card.cardType\n- card.securityCode\n- card.firstSix\n- card.lastFour\n- token\n- data\n- data.customer\n- data.customer.billToAddressOne\n- data.customer.billToAddressTwo\n- data.customer.billToCity\n- data.customer.billToCountry\n- data.customer.billToPhone\n- data.customer.billToPostal\n- data.customer.billToState\n- data.customer.birthDate\n- data.customer.createdAtDate\n- data.customer.email\n- data.customer.firstName\n- data.customer.invoice\n- data.customer.lastName\n- data.customer.phone\n- data.customer.shipToAddressOne\n- data.customer.shipToAddressTwo\n- data.customer.shipToCity\n- data.customer.shipToCountry\n- data.customer.shipToPhone\n- data.customer.shipToPostal\n- data.customer.shipToState\n- shouldUpdateCard\n- tokenex\n- tokenex.token\n- tokenex.firstSix\n- tokenex.lastFour\n- merchantId\n\n## Response parameters\n- card\n- card.cardHolderName\n- card.expirationMonth\n- card.expirationYear\n- card.cardType\n- data\n- data.customer\n- data.customer.billToAddressOne\n- data.customer.billToAddressTwo\n- data.customer.billToCity\n- data.customer.billToCountry\n- data.customer.billToPhone\n- data.customer.billToPostal\n- data.customer.billToState\n- data.customer.birthDate\n- data.customer.email\n- data.customer.firstName\n- data.customer.lastName\n- data.customer.phone\n- data.customer.shipToAddressOne\n- data.customer.shipToAddressTwo\n- data.customer.shipToCity\n- data.customer.shipToCountry\n- data.customer.shipToPhone\n- data.customer.shipToPostal\n- data.customer.shipToState\n- kountResponse\n- kountResponse.status\n- kountResponse.rules\n- merchantId\n- shouldUpdateCard\n- token\n- token.token\n- token.firstSix\n- token.lastFour\n- token.cardType\n- cvcResults\n- cvcResults.matchCvv\n- cvcResults.error\n- cvcResults.gatewayMessage\n- cvcResults.gatewayMessage.cvvresponse\n- cvcResults.gatewayMessage.message\n- avsResults\n- avsResults.matchAddress\n- avsResults.matchPostal\n- avsResults.error\n- avsResults.gatewayMessage\n- avsResults.gatewayMessage.avsresponse\n- avsResults.gatewayMessage.message\n- cardType\n\n</div>",
        "operationId": "SaveCardToken",
        "security": [],
        "tags": [
          "Ecommerce"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "token",
                  "card"
                ],
                "properties": {
                  "token": {
                    "title": "token",
                    "type": "string",
                    "description": "A [one-time-use token](https://docs.nexiopay.com/reference/createonetimeusetoken). This value is saved in the card/echeck token as `key`.",
                    "example": "eb50a022-d6de-4244-a1e6-dcb8522b2d19",
                    "x-tags": [
                      "component"
                    ]
                  },
                  "card": {
                    "title": "card",
                    "type": "object",
                    "description": "Card information.",
                    "x-tags": [
                      "object"
                    ],
                    "properties": {
                      "cardHolderName": {
                        "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/put/requestBody/content/application~1json/schema/properties/card/properties/cardHolderName"
                      },
                      "expirationMonth": {
                        "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/put/requestBody/content/application~1json/schema/properties/card/properties/expirationMonth"
                      },
                      "expirationYear": {
                        "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/put/requestBody/content/application~1json/schema/properties/card/properties/expirationYear"
                      },
                      "encryptedNumber": {
                        "type": "string",
                        "title": "encryptedNumber",
                        "description": "The encrypted card number. **Conditionally required**. Either this or the `tokenex.token` parameter is required. For instructions on encrypting the card number, see **step 6** in the [Creating a save card page with your own form](https://docs.nexiopay.com/docs/creating-a-save-card-page-with-your-own-form) topic in Guides.\n\nFor information about test card numbers and values you can use, see the documentation for the specific [gateway/connection integration guide](https://docs.nexiopay.com/docs/connections) or, if you are testing Account Updater, see the [Test cards for account updater](https://docs.nexiopay.com/docs/checking-a-cards-enrollment-tag#test-cards-for-account-updater) section of the \"Checking a card's enrollment tag\" topic.",
                        "example": "cu3yRktaYFK2LUC6DpNK289tYDsGRCi7cO+GeG0hkeYFvT7Y8/oY5r53obMz6Q/BZ38gk2u2Ufwy8ojBcX2sfNjG5jplGTXA4NNlSIUjMFfiHe1sff1JFpThoiW/IIlifGlbWu+S1/9pqWPTzJ2+DcjwohbHzsDahhYewFhXgC8qsK0ypi/Shlp+CwRITyIvbVXESD0xz3YOTRHeZLlChvVqN8z4ZzN8nm0MXkmT1wcpYI73bH4KdnPwNU3s7XxvP/ernQP73SHHAOKSLlz4F6AEHFjJiCoXzeLF7LwEjRdxDJ0sKVXbRk3i9BGh+8Nle2VYgjpUWtk2763QkvZiQQ==",
                        "x-tags": [
                          "component"
                        ]
                      },
                      "cardType": {
                        "type": "string",
                        "title": "cardType",
                        "description": "The card type. **Conditionally required**. This information is required when [saving a card through your own form](https://docs.nexiopay.com/docs/creating-a-save-card-page-with-your-own-form). This value is saved in the card token (in `card.cardType`, `cardType`, and `tokenex.cardType`).\n\nYou can specify any value for this parameter when saving to the card token, including the ones listed in this reference, but also other text such as \"American Express\" or \"americanExpress\" or \"Diners Club\". This information is saved to the card token. However, when using that saved card token to run a transaction, the system ignores the value and determines the type based on the card values used. When the card type is not one of the indicated options, the system returns unknown for the `cardType`, or returns `null` when using one of the View transaction endpoints.\n\nFor a list of card types enabled for the merchant account, see the [View card types](https://docs.nexiopay.com/reference/viewcardtypes) endpoint.",
                        "example": "visa",
                        "x-tags": [
                          "component"
                        ],
                        "enum": [
                          "amex",
                          "discover",
                          "jcb",
                          "mastercard",
                          "visa"
                        ]
                      },
                      "securityCode": {
                        "title": "securityCode",
                        "type": "string",
                        "description": "The numeric code printed on the card for enhanced security. Because the code may start with a leading zero (0), you should send this as a string rather than an integer (even though both types are supported in the request).\n\n<!-- theme: warning -->\n> 🛑 Warning\n> \n> Storing this value on your servers is prohibited by the PCI-Data Security Standard.\n\nWhen included in the request, Nexio caches the value for up to 24 hours. Therefore, if you save the card token and then submit a transaction with that card token more than 24 hours later, you need to recapture the security code.",
                        "example": 927,
                        "x-tags": [
                          "component"
                        ]
                      },
                      "firstSix": {
                        "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/get/responses/200/content/application~1json/schema/properties/tokenex/properties/firstSix"
                      },
                      "lastFour": {
                        "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/get/responses/200/content/application~1json/schema/properties/tokenex/properties/lastFour"
                      }
                    },
                    "required": [
                      "cardHolderName",
                      "expirationMonth",
                      "expirationYear"
                    ]
                  },
                  "tokenex": {
                    "title": "token",
                    "type": "object",
                    "description": "TokenEx card token information.",
                    "x-tags": [
                      "object"
                    ],
                    "properties": {
                      "token": {
                        "type": "string",
                        "description": "A previously saved TokenEx card token. **Conditionally required.** Either this or the `card.encryptedNumber` parameter is required. This value is saved in the card token.\n\nUse this parameter if you have pre-existing TokenEx tokens you would like to start using through Nexio. **Note:** You will get an error if you try to use a card token generated through Nexio.\n\nCard tokens can be used to process through any MID on your account. They are not restricted to a specific merchant account or currency.",
                        "example": "6ee140a0-05d1-4958-8325-b38a690dbb9d"
                      },
                      "firstSix": {
                        "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/put/responses/200/content/application~1json/schema/properties/tokenex/properties/firstSix"
                      },
                      "lastFour": {
                        "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/put/responses/200/content/application~1json/schema/properties/tokenex/properties/lastFour"
                      }
                    }
                  },
                  "data": {
                    "type": "object",
                    "description": "Additional optional data",
                    "properties": {
                      "customer": {
                        "title": "customer",
                        "type": "object",
                        "description": "Customer information to be used in checking fraud or sent to the processing gateway, when applicable.",
                        "x-tags": [
                          "object"
                        ],
                        "properties": {
                          "invoice": {
                            "title": "invoice",
                            "type": "string",
                            "description": "The invoice number.",
                            "example": "IN0001",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "firstName": {
                            "title": "firstName",
                            "type": "string",
                            "description": "The customer's first name, as it appears on the card or account. This value is saved in the card/echeck token.",
                            "example": "John",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "lastName": {
                            "title": "lastName",
                            "type": "string",
                            "description": "The customer's last name, as it appears on the card or account. This value is saved in the card/echeck token.",
                            "example": "Doe",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "birthDate": {
                            "type": "string",
                            "title": "birthDate",
                            "description": "The customer's date of birth. This value is saved in the card/echeck token. \n\nUse any of the following formats for the date:\n- Four-digit year, two-digit month and day, separated with hyphens: YYYY-MM-DD.<br>For example, `2001-08-26`.\n- [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) date expressed in UTC. It must include the 3 decimal places for milliseconds.<br>For example, `2001-08-26T13:35:00.978Z` or `1990-12-05T00:00:00.000Z`.\n- UNIX date (as an integer representing seconds).<br>For example, `998854500`.",
                            "example": "1990-12-05",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "email": {
                            "type": "string",
                            "title": "email",
                            "description": "The customer's email address. This value is saved in the card/echeck token.",
                            "example": "jdoe@example.com",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "phone": {
                            "title": "phone",
                            "type": "string",
                            "description": "The customer's phone number. This value is saved in the card/echeck token.",
                            "example": "1555555555",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "billToAddressOne": {
                            "title": "billToAddressOne",
                            "type": "string",
                            "description": "The street address on file with the provider. This value is saved in the card/echeck token.",
                            "example": "2147 West Silverlake Drive",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "billToAddressTwo": {
                            "title": "billToAddressTwo",
                            "type": "string",
                            "description": "Additional street address information, if required. This value is saved in the card/echeck token.",
                            "example": "Apt 42",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "billToCity": {
                            "title": "billToCity",
                            "type": "string",
                            "description": "The city on file with the provider. This value is saved in the card/echeck token.",
                            "example": "Scranton",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "billToState": {
                            "type": "string",
                            "title": "billToState",
                            "description": "The state or province on file with the provider. (If in the US, this must be the [two-character state abbreviation](https://pe.usps.com/text/pub28/28apb.htm)). This value is saved in the card/echeck token.",
                            "example": "PA",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "billToPostal": {
                            "title": "billToPostal",
                            "type": "string",
                            "description": "The postal code on file with the provider. This value is saved in the card/echeck token.",
                            "example": "18503",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "billToCountry": {
                            "title": "billToCountry",
                            "type": "string",
                            "description": "The [two-character (Alpha-2) ISO country code](https://www.iso.org/obp/ui/#search/code/) for the address on file with the provider. This value is saved in the card/echeck token.",
                            "example": "US",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "billToPhone": {
                            "title": "billToPhone",
                            "type": "string",
                            "description": "The billing phone number. This value is saved in the card/echeck token.",
                            "example": "1555555555",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "shipToAddressOne": {
                            "title": "shipToAddressOne",
                            "type": "string",
                            "description": "The shipping address, if different from the billing address. This value is saved in the card/echeck token.",
                            "example": "1725 Slough Avenue",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "shipToAddressTwo": {
                            "title": "shipToAddressTwo",
                            "type": "string",
                            "description": "Additional shipping address information, if required. This value is saved in the card/echeck token.",
                            "example": "Suite 200",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "shipToCity": {
                            "title": "shipToCity",
                            "type": "string",
                            "description": "The shipping city. This value is saved in the card/echeck token.",
                            "example": "Scranton",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "shipToState": {
                            "title": "shipToState",
                            "type": "string",
                            "description": "The shipping state or province. (If in the US, this must be the [two-character state abbreviation](https://pe.usps.com/text/pub28/28apb.htm).) This value is saved in the card/echeck token.",
                            "example": "PA",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "shipToPostal": {
                            "title": "shipToPostal",
                            "type": "string",
                            "description": "The shipping postal code. This value is saved in the card/echeck token.",
                            "example": "18505",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "shipToCountry": {
                            "title": "shipToCountry",
                            "type": "string",
                            "description": "The [two-character (Alpha-2) ISO](https://www.iso.org/obp/ui/#search/code/) shipping country code. This value is saved in the card/echeck token.",
                            "example": "US",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "shipToPhone": {
                            "title": "shipToPhone",
                            "type": "string",
                            "description": "The shipping phone number. This value is saved in the card/echeck token.",
                            "example": "1555555555",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "createdAtDate": {
                            "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/createdAtDate"
                          }
                        }
                      }
                    }
                  },
                  "shouldUpdateCard": {
                    "title": "shouldUpdateCard",
                    "type": "boolean",
                    "description": "The card's account updater [enrollment tag](https://docs.nexiopay.com/docs/checking-a-cards-enrollment-tag). This value is saved in the card token.\n\nWhen true, the card token is tagged for being sent to the account updater provider.\n\n<!-- theme:info -->\n> #### Note\n> The card will not be registered until the merchant account is enrolled. See the [Enrollment tag table](https://docs.nexiopay.com/docs/checking-a-cards-enrollment-tag#enrollment-tag-table) for more information.",
                    "default": true,
                    "x-tags": [
                      "component"
                    ]
                  },
                  "merchantId": {
                    "title": "merchantId",
                    "type": "string",
                    "description": "The Nexio merchant ID (MID). Generally, you should avoid sending this value in the request because it may interfere with several Nexio features. The API user you use directs the transaction to the appropriate MID automatically. This value is saved in the card/echeck token.",
                    "example": "000999",
                    "x-tags": [
                      "component"
                    ]
                  }
                }
              },
              "examples": {
                "Required parameters with encryptedNumber": {
                  "value": {
                    "token": "eb50a022-d6de-4244-a1e6-dcb8522b2d19",
                    "card": {
                      "cardHolderName": "John H Doe",
                      "expirationMonth": "12",
                      "expirationYear": "28",
                      "encryptedNumber": "cu3yRktaYFK2LUC6DpNK289tYDsGRCi7cO+GeG0hkeYFvT7Y8/oY5r53obMz6Q/BZ38gk2u2Ufwy8ojBcX2sfNjG5jplGTXA4NNlSIUjMFfiHe1sff1JFpThoiW/IIlifGlbWu+S1/9pqWPTzJ2+DcjwohbHzsDahhYewFhXgC8qsK0ypi/Shlp+CwRITyIvbVXESD0xz3YOTRHeZLlChvVqN8z4ZzN8nm0MXkmT1wcpYI73bH4KdnPwNU3s7XxvP/ernQP73SHHAOKSLlz4F6AEHFjJiCoXzeLF7LwEjRdxDJ0sKVXbRk3i9BGh+8Nle2VYgjpUWtk2763QkvZiQQ=="
                    }
                  }
                },
                "Required parameters with pre-existing TokenEx token": {
                  "value": {
                    "token": "eb50a022-d6de-4244-a1e6-dcb8522b2d19",
                    "card": {
                      "cardHolderName": "John H Doe",
                      "expirationMonth": "12",
                      "expirationYear": "28"
                    },
                    "tokenex": {
                      "token": "6ee140a0-05d1-4958-8325-b38a690dbb9d"
                    }
                  }
                },
                "All parameters": {
                  "value": {
                    "token": "eb50a022-d6de-4244-a1e6-dcb8522b2d19",
                    "card": {
                      "cardHolderName": "John H Doe",
                      "expirationMonth": "12",
                      "expirationYear": "28",
                      "encryptedNumber": "cu3yRktaYFK2LUC6DpNK289tYDsGRCi7cO+GeG0hkeYFvT7Y8/oY5r53obMz6Q/BZ38gk2u2Ufwy8ojBcX2sfNjG5jplGTXA4NNlSIUjMFfiHe1sff1JFpThoiW/IIlifGlbWu+S1/9pqWPTzJ2+DcjwohbHzsDahhYewFhXgC8qsK0ypi/Shlp+CwRITyIvbVXESD0xz3YOTRHeZLlChvVqN8z4ZzN8nm0MXkmT1wcpYI73bH4KdnPwNU3s7XxvP/ernQP73SHHAOKSLlz4F6AEHFjJiCoXzeLF7LwEjRdxDJ0sKVXbRk3i9BGh+8Nle2VYgjpUWtk2763QkvZiQQ==",
                      "cardType": "visa",
                      "securityCode": 927,
                      "firstSix": "479300",
                      "lastFour": "3313"
                    },
                    "tokenex": {
                      "token": "6ee140a0-05d1-4958-8325-b38a690dbb9d",
                      "firstSix": "479300",
                      "lastFour": "3313"
                    },
                    "data": {
                      "currency": "EUR",
                      "customer": {
                        "email": "jdoe@example.com",
                        "birthDate": "1990-12-05",
                        "firstName": "John",
                        "lastName": "Doe",
                        "phone": "1555555555",
                        "invoice": "IN0001",
                        "orderNumber": "210058A-1",
                        "createdAtDate": "2005-03-01",
                        "billToAddressOne": "2147 West Silverlake Drive",
                        "billToAddressTwo": "Apt 42",
                        "billToCity": "Scranton",
                        "billToState": "PA",
                        "billToPostal": "18503",
                        "billToCountry": "US",
                        "billToPhone": "1555555555",
                        "shipToAddressOne": "1725 Slough Avenue",
                        "shipToAddressTwo": "Suite 200",
                        "shipToCity": "Scranton",
                        "shipToState": "PA",
                        "shipToPostal": "18505",
                        "shipToCountry": "US",
                        "shipToPhone": "1555555555"
                      }
                    },
                    "shouldUpdateCard": true,
                    "merchantId": "000999"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "token": {
                      "title": "token",
                      "type": "object",
                      "description": "Card token information",
                      "x-tags": [
                        "object"
                      ],
                      "properties": {
                        "token": {
                          "type": "string",
                          "description": "The saved card token.",
                          "example": "6ee140a0-05d1-4958-8325-b38a690dbb9d"
                        },
                        "firstSix": {
                          "$ref": "#/paths/~1card~1v3/get/responses/200/content/application~1json/schema/properties/rows/items/properties/firstSix"
                        },
                        "lastFour": {
                          "$ref": "#/paths/~1card~1v3/get/responses/200/content/application~1json/schema/properties/rows/items/properties/lastFour"
                        },
                        "cardType": {
                          "$ref": "#/paths/~1pay~1v3~1saveCard/post/responses/200/content/application~1json/schema/properties/cardType"
                        }
                      }
                    },
                    "card": {
                      "type": "object",
                      "description": "Card information",
                      "properties": {
                        "cardType": {
                          "$ref": "#/paths/~1pay~1v3~1saveCard/post/responses/200/content/application~1json/schema/properties/cardType"
                        },
                        "cardHolderName": {
                          "title": "cardHolderName",
                          "type": "string",
                          "description": "The cardholder's name as it appears on the card. This value is cached in the one-time-use token.",
                          "example": "John H Doe",
                          "x-tags": [
                            "component"
                          ]
                        },
                        "expirationMonth": {
                          "title": "expirationMonth",
                          "type": "string",
                          "description": "The one-digit or two-digit month in which the card expires. The system validates that the value is between 1 and 12. This value is cached in the one-time-use token.",
                          "example": "12",
                          "x-tags": [
                            "component"
                          ],
                          "maxLength": 2,
                          "minLength": 1,
                          "pattern": "^(0[1-9]|[1-9]|1[0-2])$"
                        },
                        "expirationYear": {
                          "type": "string",
                          "title": "expirationYear",
                          "description": "The two-digit year in which the card will expire. This value is cached in the one-time-use token.",
                          "example": "28",
                          "x-tags": [
                            "component"
                          ],
                          "pattern": "^\\d{2}(\\d{2})?$",
                          "minLength": 2,
                          "maxLength": 4
                        },
                        "classification": {
                          "type": "string",
                          "title": "classification",
                          "description": "The card classification. Only returned when it is saved in the card token.",
                          "example": "business",
                          "x-tags": [
                            "component"
                          ],
                          "enum": [
                            "business",
                            "personal"
                          ]
                        },
                        "businessNumber": {
                          "title": "businessNumber",
                          "type": "string",
                          "description": "A string containing 10 digits. Only returned when it is saved in the card token.",
                          "example": "1234567890",
                          "x-tags": [
                            "component"
                          ]
                        },
                        "password": {
                          "title": "password",
                          "type": "string",
                          "description": "A string containing two digits. Only returned when it is saved in the card token.",
                          "example": "12",
                          "x-tags": [
                            "component"
                          ]
                        }
                      }
                    },
                    "cardType": {
                      "type": "string",
                      "title": "cardType",
                      "description": "The card type.",
                      "example": "visa",
                      "x-tags": [
                        "component"
                      ],
                      "enum": [
                        "amex",
                        "discover",
                        "jcb",
                        "mastercard",
                        "visa"
                      ]
                    },
                    "data": {
                      "type": "object",
                      "description": "Additional data, if provided in the request",
                      "properties": {
                        "customer": {
                          "title": "customer",
                          "type": "object",
                          "description": "Customer information returned when checking fraud or from the processing gateway, when applicable.",
                          "x-tags": [
                            "object"
                          ],
                          "properties": {
                            "firstName": {
                              "title": "firstName",
                              "type": "string",
                              "description": "The customer's first name.",
                              "example": "John",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "lastName": {
                              "title": "lastName",
                              "type": "string",
                              "description": "The customer's last name.",
                              "example": "Doe",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "birthDate": {
                              "title": "birthDateViewCardTokenResponse",
                              "type": "string",
                              "description": "The customer's date of birth. The format returned matches the format used in the request that [created the card token](https://docs.nexiopay.com/reference/savecardtoken).",
                              "example": "1990-12-05",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "email": {
                              "type": "string",
                              "title": "email",
                              "description": "The customer's email address.",
                              "example": "jdoe@example.com",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "phone": {
                              "title": "phone",
                              "type": "string",
                              "description": "The customer's phone number.",
                              "example": "1555555555",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "billToAddressOne": {
                              "title": "billToAddressOne",
                              "type": "string",
                              "description": "The street address on file with the card provider.",
                              "example": "2147 West Silverlake Drive",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "billToAddressTwo": {
                              "title": "billToAddressTwoResponse",
                              "type": "string",
                              "description": "Additional street address information.",
                              "example": "Apt 42",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "billToCity": {
                              "title": "billToCity",
                              "type": "string",
                              "description": "The city on file with the card provider.",
                              "example": "Scranton",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "billToState": {
                              "type": "string",
                              "title": "billToState",
                              "description": "The state or province on file with the card provider. (If in the US, this is the [two-character state abbreviation](https://pe.usps.com/text/pub28/28apb.htm)).",
                              "example": "PA",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "billToPostal": {
                              "title": "billToPostal",
                              "type": "string",
                              "description": "The postal code on file with the card provider.",
                              "example": "18503",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "billToCountry": {
                              "title": "billToCountry",
                              "type": "string",
                              "description": "The [two-character (Alpha-2) ISO country code](https://www.iso.org/obp/ui/#search/code/) for the address on file with the card provider.",
                              "example": "US",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "billToPhone": {
                              "title": "billToPhone",
                              "type": "string",
                              "description": "The billing phone number.",
                              "example": "1555555555",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "shipToAddressOne": {
                              "title": "shipToAddressOne",
                              "type": "string",
                              "description": "The shipping address.",
                              "example": "1725 Slough Avenue",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "shipToAddressTwo": {
                              "title": "shipToAddressTwo",
                              "type": "string",
                              "description": "Additional shipping address information.",
                              "example": "Suite 200",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "shipToCity": {
                              "title": "shipToCity",
                              "type": "string",
                              "description": "The shipping city.",
                              "example": "Scranton",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "shipToState": {
                              "title": "shipToState",
                              "type": "string",
                              "description": "The shipping state or province. (If in the US, this is the [two-character state abbreviation](https://pe.usps.com/text/pub28/28apb.htm).)",
                              "example": "PA",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "shipToPostal": {
                              "title": "shipToPostal",
                              "type": "string",
                              "description": "The shipping postal code.",
                              "example": "18505",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "shipToCountry": {
                              "title": "shipToCountry",
                              "type": "string",
                              "description": "The [two-character (Alpha-2) ISO](https://www.iso.org/obp/ui/#search/code/) shipping country code.",
                              "example": "US",
                              "x-tags": [
                                "component"
                              ]
                            },
                            "shipToPhone": {
                              "title": "shipToPhone",
                              "type": "string",
                              "description": "The shipping phone number.",
                              "example": "1555555555",
                              "x-tags": [
                                "component"
                              ]
                            }
                          }
                        }
                      }
                    },
                    "merchantId": {
                      "title": "merchantIdCard",
                      "type": "string",
                      "description": "The merchant account under which the card token is saved.",
                      "example": "000999",
                      "x-tags": [
                        "component"
                      ]
                    },
                    "shouldUpdateCard": {
                      "title": "shouldUpdateCard",
                      "type": "boolean",
                      "description": "The card's account updater [enrollment tag](https://docs.nexiopay.com/docs/checking-a-cards-enrollment-tag).\n\nWhen the value is `true`, the card token was tagged for being sent to the account updater provider.\n\n<!-- theme:info -->\n> #### Note\n> The card is not registered until the merchant account is enrolled. For more information, see the [Enrollment tag table](https://docs.nexiopay.com/docs/checking-a-cards-enrollment-tag#enrollment-tag-table).",
                      "default": true,
                      "x-tags": [
                        "component"
                      ]
                    },
                    "kountResponse": {
                      "type": "object",
                      "description": "Fraud data and rules",
                      "properties": {
                        "status": {
                          "type": "string",
                          "title": "status",
                          "description": "Will be one of four possible statuses: `success`, `review`, `decline`, or `error`. See [Kount response status](https://docs.nexiopay.com/docs/understanding-the-kount-response) in Guides for more information.",
                          "x-tags": [
                            "component"
                          ],
                          "example": "success"
                        },
                        "rules": {
                          "title": "rules",
                          "type": "string",
                          "description": "Kount-specific information, including rules triggered. See our [Fraud tutorial](https://docs.nexiopay.com/docs/understanding-the-kount-response) in Guides for more information.",
                          "example": "{\"VERS\":\"0630\",\"MODE\":\"Q\",\"TRAN\":\"7V7D0V1BMKPX\",\"MERC\":\"717000\",\"SESS\":\"3bbb89edcd5742f18e2502ebb2bbb18b\",\"ORDR\":\"14233\",\"AUTO\":\"A\",\"SCOR\":\"29\",\"GEOX\":\"US\",\"BRND\":\"VISA\",\"REGN\":null,\"NETW\":\"N\",\"KAPT\":\"N\",\"CARDS\":\"1\",\"DEVICES\":\"1\",\"EMAILS\":\"1\",\"VELO\":\"0\",\"VMAX\":\"0\",\"SITE\":\"DEFAULT\",\"DEVICE_LAYERS\":\"....\",\"FINGERPRINT\":null,\"TIMEZONE\":null,\"LOCALTIME\":\" \",\"REGION\":null,\"COUNTRY\":null,\"PROXY\":null,\"JAVASCRIPT\":null,\"FLASH\":null,\"COOKIES\":null,\"HTTP_COUNTRY\":null,\"LANGUAGE\":null,\"MOBILE_DEVICE\":null,\"MOBILE_TYPE\":null,\"MOBILE_FORWARDER\":null,\"VOICE_DEVICE\":null,\"PC_REMOTE\":null,\"RULES_TRIGGERED\":0,\"COUNTERS_TRIGGERED\":0,\"REASON_CODE\":null,\"MASTERCARD\":\"\",\"DDFS\":null,\"DSR\":null,\"UAS\":null,\"BROWSER\":null,\"OS\":null,\"PIP_IPAD\":null,\"PIP_LAT\":null,\"PIP_LON\":null,\"PIP_COUNTRY\":null,\"PIP_REGION\":null,\"PIP_CITY\":null,\"PIP_ORG\":null,\"IP_IPAD\":null,\"IP_LAT\":null,\"IP_LON\":null,\"IP_COUNTRY\":null,\"IP_REGION\":null,\"IP_CITY\":null,\"IP_ORG\":null,\"WARNING_COUNT\":0}",
                          "x-tags": [
                            "component"
                          ]
                        }
                      }
                    },
                    "avsResults": {
                      "type": "object",
                      "description": "If a value for `verifyAvs` was specified in the request for a one-time use token, then the Save card token endpoint includes this object in the response. For information about interpreting the response, see the [Enabling the Address Verification Service](https://docs.nexiopay.com/docs/enabling-the-address-verification-service) topic in Guides.",
                      "properties": {
                        "error": {
                          "type": "boolean",
                          "title": "error",
                          "description": "Specifies whether the `verifyAvs` check succeeded or failed. A value of `false` indicates that there was no error in processing the check (for either `matchAddress` or `matchPostal`). A value of `true` indicates that a problem occured when doing the check, but the card token was still saved.",
                          "x-tags": [
                            "component"
                          ],
                          "example": "false"
                        },
                        "matchAddress": {
                          "type": "boolean",
                          "title": "matchAddress",
                          "description": "The results of the US-based address check. The result is `true` when the address provided matches the address on file with the card issuer. \n\n(In this case, 'address' refers to the street address portion of the billing address. For example, if the address provided were `123 Sesame St. Manhattan, NY 10128`, matchAddress would compare `123 Sesame St.` with the address on file.)",
                          "x-tags": [
                            "component"
                          ],
                          "example": "true"
                        },
                        "matchPostal ": {
                          "type": "boolean",
                          "title": "matchPostal",
                          "description": "The results of the US-based postal code check. The result is `true` when the postal code provided matches the postal code on file with the card issuer.\n\n(For example, if the address provided were `123 Sesame St. Manhattan, NY 10128`, matchPostal would compare `10128` with the postal code on file.)",
                          "x-tags": [
                            "component"
                          ],
                          "example": "true"
                        },
                        "gatewayMessage": {
                          "type": "object",
                          "description": "Information from the verification provider about the `verifyAvs` request.",
                          "properties": {
                            "avsresponse": {
                              "type": "string",
                              "description": "The code provided by the verification provider. For more information about the response, see the [Understanding the AVS response](https://docs.nexiopay.com/docs/understanding-the-avs-response) topic in Guides.",
                              "example": "[gateway response]"
                            },
                            "message": {
                              "type": "string",
                              "description": "The message received from the verification provider. For more information about this response, see the [Understanding the AVS response](https://docs.nexiopay.com/docs/understanding-the-avs-response) topic in Guides.",
                              "example": "[gateway message]"
                            }
                          }
                        }
                      }
                    },
                    "cvcResults": {
                      "type": "object",
                      "description": "If `verifyCvc` was specified in the request for a one-time use token, then the Save card token endpoint includes this object in the response.",
                      "properties": {
                        "matchCvv": {
                          "type": "boolean",
                          "title": "matchCVV",
                          "description": "Specifies whether the security code verification check process completed. If the security code check was successful, the response is `true`. If this is `false` or this parameter is not returned, then there was a problem. A value of `false` indicates that the verification check failed and the card token was not saved.",
                          "x-tags": [
                            "component"
                          ],
                          "example": false
                        },
                        "error": {
                          "type": "boolean",
                          "title": "error",
                          "description": "Specifies whether the `verifyCvc` check succeeded or failed. A value of `false` indicates that there was no error in processing the check (whether the `matchCvv` was true or false). A value of `true` indicates that a problem occured when doing the check, but the card token was still saved.",
                          "x-tags": [
                            "component"
                          ],
                          "example": "false"
                        },
                        "gatewayMessage": {
                          "type": "object",
                          "description": "Information from the verification provider about the `verifyCvc` request.",
                          "properties": {
                            "cvvresponse": {
                              "type": "string",
                              "enum": [
                                "M",
                                "N",
                                "P",
                                "S",
                                "U",
                                "X"
                              ],
                              "description": "The code provided by the verification provider. This may be an M, N, P, S, U, or X. A response of `M` indicates that the check of the security code was successful and it is valid for the card. For more information about these values, see the [Handling security code verification failures](https://docs.nexiopay.com/docs/handling-security-code-verification-failures) topic in Guides.",
                              "example": "S"
                            },
                            "message": {
                              "type": "string",
                              "description": "The message received from the verification provider. For more information about possible strings, see the [Handling security code verification failures](https://docs.nexiopay.com/docs/handling-security-code-verification-failures) topic in Guides.",
                              "example": "Merchant has indicated that CVV2/CVC2 is not present on card"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Example response": {
                    "value": {
                      "token": {
                        "token": "6ee140a0-05d1-4958-8325-b38a690dbb9d",
                        "firstSix": "479300",
                        "lastFour": "3313",
                        "cardType": "visa"
                      },
                      "card": {
                        "cardType": "visa",
                        "cardHolderName": "John H Doe",
                        "expirationMonth": "12",
                        "expirationYear": "28",
                        "classification": "business",
                        "businessNumber": "1234567890",
                        "password": "12"
                      },
                      "cardType": "visa",
                      "data": {
                        "customer": {
                          "email": "jdoe@example.com",
                          "birthDate": "1990-12-05",
                          "firstName": "John",
                          "lastName": "Doe",
                          "phone": "1555555555",
                          "billToAddressOne": "2147 West Silverlake Drive",
                          "billToAddressTwo": "Apt 42",
                          "billToCity": "Scranton",
                          "billToState": "PA",
                          "billToPostal": "18503",
                          "billToCountry": "US",
                          "billToPhone": "1555555555",
                          "shipToAddressOne": "1725 Slough Avenue",
                          "shipToAddressTwo": "Suite 200",
                          "shipToCity": "Scranton",
                          "shipToState": "PA",
                          "shipToPostal": "18505",
                          "shipToCountry": "US",
                          "shipToPhone": "1555555555"
                        }
                      },
                      "merchantId": "000999",
                      "shouldUpdateCard": true,
                      "kountResponse": {
                        "status": "success",
                        "rules": "{\"VERS\":\"0630\",\"MODE\":\"Q\",\"TRAN\":\"7V7D0V1BMKPX\",\"MERC\":\"717000\",\"SESS\":\"3bbb89edcd5742f18e2502ebb2bbb18b\",\"ORDR\":\"14233\",\"AUTO\":\"A\",\"SCOR\":\"29\",\"GEOX\":\"US\",\"BRND\":\"VISA\",\"REGN\":null,\"NETW\":\"N\",\"KAPT\":\"N\",\"CARDS\":\"1\",\"DEVICES\":\"1\",\"EMAILS\":\"1\",\"VELO\":\"0\",\"VMAX\":\"0\",\"SITE\":\"DEFAULT\",\"DEVICE_LAYERS\":\"....\",\"FINGERPRINT\":null,\"TIMEZONE\":null,\"LOCALTIME\":\" \",\"REGION\":null,\"COUNTRY\":null,\"PROXY\":null,\"JAVASCRIPT\":null,\"FLASH\":null,\"COOKIES\":null,\"HTTP_COUNTRY\":null,\"LANGUAGE\":null,\"MOBILE_DEVICE\":null,\"MOBILE_TYPE\":null,\"MOBILE_FORWARDER\":null,\"VOICE_DEVICE\":null,\"PC_REMOTE\":null,\"RULES_TRIGGERED\":0,\"COUNTERS_TRIGGERED\":0,\"REASON_CODE\":null,\"MASTERCARD\":\"\",\"DDFS\":null,\"DSR\":null,\"UAS\":null,\"BROWSER\":null,\"OS\":null,\"PIP_IPAD\":null,\"PIP_LAT\":null,\"PIP_LON\":null,\"PIP_COUNTRY\":null,\"PIP_REGION\":null,\"PIP_CITY\":null,\"PIP_ORG\":null,\"IP_IPAD\":null,\"IP_LAT\":null,\"IP_LON\":null,\"IP_COUNTRY\":null,\"IP_REGION\":null,\"IP_CITY\":null,\"IP_ORG\":null,\"WARNING_COUNT\":0}"
                      },
                      "avsResults": {
                        "error": "false",
                        "matchAddress": "true",
                        "matchPostal ": "true",
                        "gatewayMessage": {
                          "avsresponse": "[gateway response]",
                          "message": "[gateway message]"
                        }
                      },
                      "cvcResults": {
                        "matchCvv": false,
                        "error": "false",
                        "gatewayMessage": {
                          "cvvresponse": "M",
                          "message": "Merchant has indicated that CVV2/CVC2 is not present on card"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "description": "",
                  "properties": {
                    "error": {
                      "type": "number",
                      "description": "The Nexio error code. For an HTTP status code of 400, this value is 437."
                    },
                    "message": {
                      "type": "string",
                      "description": "The message associated with the error. For an HTTP status code of 400, this message will be \"CVV2/CVC2 no match\"."
                    },
                    "cvcResults": {
                      "type": "object",
                      "description": "The results of the verification of the card security code.",
                      "properties": {
                        "matchCvv": {
                          "type": "boolean",
                          "description": "Specifies whether the CVC verification check process completed. For an HTTP status code, this value will be false. A value of false indicates that the verification check failed and the card token was not saved."
                        },
                        "error": {
                          "type": "boolean",
                          "description": "Specifies whether the verifyCvc check succeeded or failed. A value of `false` indicates that there was no error in processing the verification check, but that the given security code was invalid for that card."
                        },
                        "gatewayMessage": {
                          "type": "object",
                          "description": "Error message from the verification provider.",
                          "properties": {
                            "cvvresponse": {
                              "type": "string",
                              "description": "The code provided by the verification provider that is associated with the error. For an HTTP status code of 400, this value will be `N`. For more information about these values, see the [Handling security code verification failures](https://docs.nexiopay.com/docs/handling-security-code-verification-failures) topic in Guides."
                            },
                            "message": {
                              "type": "string",
                              "description": "The error message associated with the cvvresponse. For an HTTP status code of 400, this will be \"CVV2/CVC2 no match\"."
                            }
                          }
                        }
                      }
                    },
                    "merchantId": {
                      "title": "merchantId",
                      "type": "string",
                      "description": "The Nexio merchant ID (MID). Generally, you should avoid sending this value in the request because it may interfere with several Nexio features. The API user you use directs the transaction to the appropriate MID automatically. This value is cached in the one-time-use token.",
                      "example": "000999",
                      "x-tags": [
                        "component"
                      ]
                    }
                  }
                },
                "examples": {
                  "Example response": {
                    "value": {
                      "error": 0,
                      "message": "string",
                      "cvcResults": {
                        "matchCvv": true,
                        "error": true,
                        "gatewayMessage": {
                          "cvvresponse": "string",
                          "message": "string"
                        }
                      },
                      "merchantId": "000999"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401"
          }
        },
        "summary": "Save card token"
      }
    },
    "/card/v3": {
      "get": {
        "description": "Allows you to view all saved card tokens based on the given criteria. \n\n<!-- theme: info -->\n> 📘 Note \n> \n> Nexio does not currently support returning terminal tokens from this endpoint. Instead, use the terminal's token with the [View card token details](https://docs.nexiopay.com/reference/viewcardtokendetails) endpoint.\n\nSaved card tokens can be used to process through any MID on your account. They are not restricted to a specific merchant account or currency.\n\n<!-- theme: warning -->\n> ⚠️ Try It\n> \n> To use the Try It feature for this endpoint, you can use the credentials for your [Sandbox API user](https://docs.nexiopay.com/docs/sandbox-environments).\n> \n> You can include any of the possible filters, or none of them, in your request. For example, `/card/v3/?expirationYear<2024&merchantId=000999` to return all records for the given merchantId and a card expiration year before 2024.\n\n<div style=\"display:none;\">\n\n## Request parameters\n- limit\n- offset\n- createdAt\n- updatedAt\n- merchantId\n- merchantIds\n- customerRef\n- expirationMonth\n- expirationYear\n- accountUpdaterStatus\n- shouldUpdateCard\n- lastAccountUpdaterUpdate\n- pauseAccountUpdater\n- cardType\n- firstSix\n- lastFour\n- token\n- cardHolderName\n\n\n## Response parameters\n- limit\n- offset\n- hasMore\n- rows.key\n- rows.merchantId\n- rows.customerRef\n- rows.expirationMonth\n- rows.expirationYear\n- rows.accountUpdaterStatus\n- rows.shouldUpdateCard\n- rows.lastAccountUpdaterUpdate\n- rows.pauseAccountUpdater\n- rows.createdAt\n- rows.updatedAt\n- rows.cardType\n- rows.firstSix\n- rows.lastFour\n- rows.token\n- rows.cardHolderName\n- random-nnnn\n\n</div>",
        "operationId": "ViewCardTokens",
        "tags": [
          "Ecommerce"
        ],
        "security": [
          {
            "Basic_Authentication": []
          }
        ],
        "parameters": [
          {
            "in": "query",
            "name": "limit",
            "description": "The number of records to return. ",
            "schema": {
              "type": "integer",
              "example": 12,
              "default": 10
            }
          },
          {
            "in": "query",
            "name": "offset",
            "description": "The offset. Used to view records further along the list.",
            "schema": {
              "type": "integer",
              "example": 10,
              "default": 0
            }
          },
          {
            "$ref": "#/components/parameters/createdAt"
          },
          {
            "$ref": "#/components/parameters/updatedAt"
          },
          {
            "$ref": "#/components/parameters/merchantId"
          },
          {
            "$ref": "#/components/parameters/merchantIds"
          },
          {
            "$ref": "#/components/parameters/customerRef"
          },
          {
            "$ref": "#/components/parameters/expirationMonth"
          },
          {
            "$ref": "#/components/parameters/expirationYear"
          },
          {
            "$ref": "#/components/parameters/cardType"
          },
          {
            "$ref": "#/components/parameters/cardHolderName"
          },
          {
            "$ref": "#/components/parameters/firstSix"
          },
          {
            "$ref": "#/components/parameters/lastFour"
          },
          {
            "$ref": "#/components/parameters/accountUpdaterStatus"
          },
          {
            "$ref": "#/components/parameters/lastAccountUpdaterUpdate"
          },
          {
            "$ref": "#/components/parameters/pauseAccountUpdater"
          },
          {
            "$ref": "#/components/parameters/shouldUpdateCard"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "limit": {
                      "type": "integer",
                      "x-stoplight": {
                        "id": "m7rr4xu6r2u9i"
                      },
                      "title": "limit",
                      "description": "The maximum number of records returned in a response (starting from the default or specified `offset` query parameter).",
                      "default": 10,
                      "example": 12,
                      "x-tags": [
                        "component"
                      ]
                    },
                    "offset": {
                      "type": "integer",
                      "x-stoplight": {
                        "id": "bge9c0whmlhqb"
                      },
                      "title": "offset",
                      "description": "The offset indicates how many card token records were skipped before beginning to return records in a response. If both `offset` and `limit` were used together, the offset records were skipped before starting to count the records to limit.",
                      "default": 0,
                      "example": 10,
                      "x-tags": [
                        "component"
                      ]
                    },
                    "hasMore": {
                      "type": "boolean",
                      "description": "Will be `true` if there are more records after the current paged response. Use the `limit` and `offset` query parameters to display paged results."
                    },
                    "rows": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "key": {
                            "type": "string",
                            "title": "key",
                            "example": "4f211fde-d135-4c91-afbc-bcdb73c0c504.5292712865664733",
                            "x-tags": [
                              "component"
                            ],
                            "description": "The Nexio unique key for the card token."
                          },
                          "token": {
                            "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/get/responses/200/content/application~1json/schema/properties/tokenex/properties/token"
                          },
                          "customerRef": {
                            "title": "customerRef",
                            "type": "string",
                            "description": "Customer identifier associated with the card/echeck token.",
                            "example": "RP006",
                            "x-tags": [
                              "component"
                            ]
                          },
                          "merchantId": {
                            "$ref": "#/paths/~1pay~1v3~1saveCard/post/responses/200/content/application~1json/schema/properties/merchantId"
                          },
                          "cardType": {
                            "$ref": "#/paths/~1pay~1v3~1saveCard/post/responses/200/content/application~1json/schema/properties/cardType"
                          },
                          "cardHolderName": {
                            "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/get/responses/200/content/application~1json/schema/properties/card/properties/cardHolderName"
                          },
                          "firstSix": {
                            "type": "string",
                            "title": "firstSix",
                            "description": "The first six digits of the card number.",
                            "x-tags": [
                              "component"
                            ],
                            "example": "424242"
                          },
                          "lastFour": {
                            "type": "string",
                            "title": "lastFour",
                            "description": "The last four digits of the card number.",
                            "x-tags": [
                              "component"
                            ],
                            "example": "4242"
                          },
                          "expirationMonth": {
                            "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/put/responses/200/content/application~1json/schema/properties/card/properties/expirationMonth"
                          },
                          "expirationYear": {
                            "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/put/responses/200/content/application~1json/schema/properties/card/properties/expirationYear"
                          },
                          "createdAt": {
                            "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/get/responses/200/content/application~1json/schema/properties/dateCreated"
                          },
                          "updatedAt": {
                            "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/get/responses/200/content/application~1json/schema/properties/dateLastModified"
                          },
                          "shouldUpdateCard": {
                            "$ref": "#/paths/~1pay~1v3~1saveCard/post/responses/200/content/application~1json/schema/properties/shouldUpdateCard"
                          },
                          "accountUpdaterStatus": {
                            "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/get/responses/200/content/application~1json/schema/properties/accountUpdaterStatus"
                          },
                          "lastAccountUpdaterUpdate": {
                            "type": "string",
                            "title": "lastAccountUpdaterUpdate",
                            "description": "The most recent update to the card token from Account Updater. The value is one of the following:\n- `cardExpiration` - if the expiration date was changed\n- `cardNumber` - if the card number was changed\n- `accountClosed` - if the last update indicated that the account is closed\n- null - if no change has occurred yet",
                            "x-tags": [
                              "component"
                            ],
                            "example": "cardNumber"
                          },
                          "pauseAccountUpdater": {
                            "type": "boolean",
                            "title": "pauseAccountUpdater",
                            "x-tags": [
                              "component"
                            ],
                            "description": "This parameter has been deprecated. For Nexio internal use only.",
                            "example": false,
                            "deprecated": true
                          }
                        }
                      }
                    },
                    "random-nnnn": {
                      "type": "string",
                      "title": "random-4611765",
                      "description": "Used for sandbox/testing only. The parameter name includes a random set of numbers as part of the name and includes a random value in the response.\\\n\\\nThis parameter and value have no meaning except to remind you to create a flexible integration with the Nexio API.",
                      "example": "6fec4a03-3a9f-40de-90bc-23a513ac904c",
                      "x-tags": [
                        "component"
                      ]
                    }
                  }
                },
                "examples": {
                  "Example response": {
                    "value": {
                      "limit": 12,
                      "offset": 10,
                      "hasMore": true,
                      "rows": [
                        {
                          "key": "4f211fde-d135-4c91-afbc-bcdb73c0c504.5292712865664733",
                          "token": "6ee140a0-05d1-4958-8325-b38a690dbb9d",
                          "customerRef": "RP006",
                          "merchantId": "000999",
                          "cardType": "visa",
                          "cardHolderName": "John H Doe",
                          "firstSix": "479300",
                          "lastFour": "3313",
                          "expirationMonth": "12",
                          "expirationYear": "28",
                          "createdAt": "2020-04-28T19:19:33.185Z",
                          "updatedAt": "2022-03-28T19:19:33.185Z",
                          "shouldUpdateCard": true,
                          "accountUpdaterStatus": "isExcluded",
                          "lastAccountUpdaterUpdate": "cardNumber",
                          "pauseAccountUpdater": false
                        }
                      ],
                      "random-nnnn": "6fec4a03-3a9f-40de-90bc-23a513ac904c"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401"
          }
        },
        "summary": "View card tokens"
      }
    },
    "/apm/v3/process": {
      "post": {
        "summary": "Run APM transaction",
        "operationId": "RunAPMTransaction",
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "title": "payment",
                  "type": "object",
                  "description": "The response from a successful merchant-initiated payment, such as through Braintree PayPal.",
                  "properties": {
                    "id": {
                      "$ref": "#/paths/~1apm~1v3~1void/post/requestBody/content/application~1json/schema/properties/id"
                    },
                    "merchantId": {
                      "title": "merchantId",
                      "type": "string",
                      "description": "The Nexio merchant ID (MID) through which the transaction was processed. Returned for regular and 3DS-enabled transactions.",
                      "example": "000999",
                      "x-tags": [
                        "component"
                      ]
                    },
                    "transactionDate": {
                      "$ref": "#/paths/~1pay~1v3~1capture/post/responses/200/content/application~1json/schema/properties/transactionDate"
                    },
                    "transactionStatus": {
                      "title": "transactionStatus",
                      "type": "string",
                      "description": "The [transaction status](https://docs.nexiopay.com/docs/constant-transaction-values#transaction-status-transactionstatus).",
                      "example": "pending",
                      "x-tags": [
                        "component"
                      ]
                    },
                    "amount": {
                      "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/amount"
                    },
                    "transactionType": {
                      "$ref": "#/paths/~1pay~1v3~1capture/post/responses/200/content/application~1json/schema/properties/transactionType"
                    },
                    "currency": {
                      "title": "currency",
                      "type": "string",
                      "description": "The [three-digit ISO numeric currency code](https://en.wikipedia.org/wiki/ISO_4217). For information about valid values, see the [currency table](https://docs.nexiopay.com/docs/constant-transaction-values#currency-id-currencyid) in Guides.",
                      "x-tags": [
                        "component"
                      ],
                      "x-internal": false,
                      "example": 840
                    },
                    "gatewayResponse": {
                      "$ref": "#/paths/~1pay~1v3~1void/post/responses/200/content/application~1json/schema/properties/gatewayResponse"
                    },
                    "data": {
                      "title": "data",
                      "type": "object",
                      "description": "Transaction and customer data.",
                      "properties": {
                        "amount": {
                          "$ref": "#/paths/~1pay~1v3~1processECheck/post/responses/200/content/application~1json/schema/properties/amount"
                        },
                        "currency": {
                          "$ref": "#/paths/~1pay~1v3~1capture/post/responses/200/content/application~1json/schema/properties/currency"
                        },
                        "settlementCurrency": {
                          "$ref": "#/paths/~1pay~1v3~1processECheck/post/requestBody/content/application~1json/schema/properties/data/properties/settlementCurrency"
                        },
                        "customer": {
                          "title": "customer",
                          "type": "object",
                          "description": "Customer information returned when checking fraud or from the processing gateway, when applicable.",
                          "properties": {
                            "orderNumber": {
                              "$ref": "#/paths/~1pay~1v3~1token/post/requestBody/content/application~1json/schema/oneOf/0/properties/data/properties/customer/properties/orderNumber"
                            },
                            "customerRef": {
                              "$ref": "#/paths/~1subscription~1v3~1%7Bid%7D/put/responses/200/content/application~1json/schema/properties/customerRef"
                            },
                            "orderDate": {
                              "$ref": "#/paths/~1pay~1v3~1vault~1echeck~1%7BecheckToken%7D/get/responses/200/content/application~1json/schema/properties/data/properties/customer/properties/orderDate"
                            },
                            "invoice": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/invoice"
                            },
                            "firstName": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/firstName"
                            },
                            "lastName": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/lastName"
                            },
                            "birthDate": {
                              "$ref": "#/paths/~1pay~1v3~1vault~1card~1%7BcardToken%7D/put/responses/200/content/application~1json/schema/properties/data/properties/customer/properties/birthDate"
                            },
                            "email": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/email"
                            },
                            "phone": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/phone"
                            },
                            "companyName": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/companyName"
                            },
                            "billToAddressOne": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/billToAddressOne"
                            },
                            "billToAddressTwo": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/billToAddressTwo"
                            },
                            "billToCity": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/billToCity"
                            },
                            "billToCountry": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/billToCountry"
                            },
                            "billToPhone": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/billToPhone"
                            },
                            "billToPostal": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/billToPostal"
                            },
                            "billToState": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/billToState"
                            },
                            "shipToAddressOne": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/shipToAddressOne"
                            },
                            "shipToAddressTwo": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/shipToAddressTwo"
                            },
                            "shipToCity": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/shipToCity"
                            },
                            "shipToCountry": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/shipToCountry"
                            },
                            "shipToPhone": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/shipToPhone"
                            },
                            "shipToPostal": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/shipToPostal"
                            },
                            "shipToState": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/shipToState"
                            },
                            "createdAtDate": {
                              "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customer/properties/createdAtDate"
                            }
                          },
                          "x-tags": [
                            "object"
                          ]
                        },
                        "customFields": {
                          "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/customFields"
                        },
                        "description": {
                          "$ref": "#/paths/~1apm~1v3~1process/post/requestBody/content/application~1json/schema/properties/data/properties/description"
                        }
                      },
                      "x-tags": [
                        "object"
                      ]
                    },
                    "apm": {
                      "type": "object",
                      "description": "",
                      "properties": {
                        "token": {
                          "title": "token",
                          "type": "string",
                          "description": "The APM token to be used for future merchant-initiated recurring payments, such as with Braintree PayPal.",
                          "example": "apm:66b742ee-7abc-4e36-81ea-0a26d23d2822",
                          "x-tags": [
                            "component"
                          ]
                        }
                      }
                    }
                  },
                  "x-tags": [
                    "object"
                  ]
                },
                "examples": {
                  "Example response": {
                    "value": {
                      "id": "eyJuYW1lIjoWJlciI6IjMxCJtZXJjaGFudElkIjoiMoiVVNEIn0=eyJuYW1lIjoib3BlbnBheSIsIm1lcmN",
                      "merchantId": "000999",
                      "transactionDate": "2019-01-15T13:19:39.329Z",
                      "transactionStatus": "pending",
                      "amount": 9.95,
                      "transactionType": "sale",
                      "currency": "USD",
                      "gatewayResponse": {
                        "gatewayName": "[usaepay]",
                        "refNumber": "8E56222GD0701110"
                      },
                      "data": {
                        "amount": 29.99,
                        "currency": "EUR",
                        "settlementCurrency": "CAD",
                        "customer": {
                          "billToAddressOne": "2147 West Silverlake Drive",
                          "billToAddressTwo": "Apt 42",
                          "billToCity": "Scranton",
                          "billToCountry": "US",
                          "billToPhone": "1555555555",
[...]
